Subject: Re: [PATCH RFC] net: sfp: support assigning status LEDs to SFP connectors

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 11 May 2022 11:26:12 +0100

On Tue, May 10, 2022 at 02:13:42PM +0200, Andrew Lunn wrote:
> > > As far as i'm aware, the in kernel code always has a netdev for each
> > > MAC. Are you talking about the vendor stack?
> > The coprocessor can be configured both at boot-time and runtime.
> > During runtime there is a vendor tool "restool" which can create and destroy
> > network interfaces, which the dpaa2 driver knows to discover and bind to.
> 
> There should not be any need to use a vendor tool for mainline. In
> fact, that is strongly discouraged, since it leads to fragmentation,
> each device doing its own thing, the user needing to read each vendors
> user manual, rather than it just being a standard Unix box with
> interfaces.

You're missing the bigger picture.

There are two ways to setup the networking on LX2160A - one is via
DT-like files that are processed by the network firmware, which tells
it what you want to do with each individual network connection.

Then there is a userspace tool that talks to the LX2160A network
firmware and requests it to configure the network layer - e.g. create
a network interface to connect to a network connection, or whatever.

I believe that when using DPDK, one does not want the network
connections to be associated with Linux network interfaces - but
don't quote me on that.

The tool has nothing to do with LEDs. It's all about talking to the
networking firmware on the chip.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!